      SUBROUTINE GET_TERM_INT(TERMINAL_TYPE,ITERM)
C
C  THIS ROUTINE RETURNS ITERM=0 IF TERMINAL_TYPE(1:4) IS BLANK OR
C  NULL OR 'UNKN'own; RETURNS ITERM=1 OTHERWISE
C
C  IF TERMINAL_TYPE STRING IS TOO SHORT ITERM=0 IS ALSO RETURNED
C
      CHARACTER*(*) TERMINAL_TYPE  ! INPUT STRING
      INTEGER ITERM                ! OUTPUT INTEGER
C
      CHARACTER*1 ZBLANK
      CHARACTER*1 ZNULL
C
      PARAMETER (ZBLANK = ' ')
      PARAMETER (ZNULL = CHAR(0))
C
C---------------------------------------------
C
      ITERM=0
      IL=LEN(TERMINAL_TYPE)
      IF(IL.LT.4) RETURN
C
      IF(TERMINAL_TYPE(1:4).EQ.'UNKN') RETURN
C
      DO IC=1,4
        IF((TERMINAL_TYPE(IC:IC).NE.ZBLANK).AND.
     >	     (TERMINAL_TYPE(IC:IC).NE.ZNULL)) GO TO 100
      ENDDO
C
C  NO CHARACTERS ...
C
      RETURN
C
C  FOUND A STRING
C
 100  CONTINUE
C
      ITERM=1
C
      RETURN
C
      END
